Bug 188889 - Patch for games/prboom: take maintainership, update Makefile
Summary: Patch for games/prboom: take maintainership, update Makefile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-22 14:20 UTC by thiagohero501
Modified: 2014-05-07 20:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.01 KB, patch)
2014-04-22 14:20 UTC, thiagohero501
no flags Details | Diff
prboom.diff (2.14 KB, patch)
2014-04-24 20:14 UTC, thiagohero501
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description thiagohero501 2014-04-22 14:20:00 UTC
Path for prboom.

Fix: Removed doom-data as depedency.
NEW MAINTAINER.
LICENSE variable set.
doom-data's Makefile.include has included in the prboom port.With modfications.

Patch attached with submission follows:
Comment 1 Alex Kozlov freebsd_committer 2014-05-07 20:04:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 2 Alex Kozlov freebsd_committer 2014-05-07 20:04:52 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2014-05-07 20:06:04 UTC
Author: ak
Date: Wed May  7 19:05:59 2014
New Revision: 353192
URL: http://svnweb.freebsd.org/changeset/ports/353192
QAT: https://qat.redports.org/buildarchive/r353192/

Log:
  - Add license [1]
  - Pass maintainership to submitter [1]
  - Fix build with clang on i386 arches
  
  PR:	ports/188889 (based on) [1]
  Submitted by:	Thiago <thiagohero501@gmail.com> [1]

Modified:
  head/games/prboom/Makefile

Modified: head/games/prboom/Makefile
==============================================================================
--- head/games/prboom/Makefile	Wed May  7 18:49:51 2014	(r353191)
+++ head/games/prboom/Makefile	Wed May  7 19:05:59 2014	(r353192)
@@ -3,31 +3,32 @@
 
 PORTNAME=	prboom
 PORTVERSION=	2.5.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}%20stable/${PORTVERSION}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	thiagohero501@gmail.com
 COMMENT=	Multiplayer-capable and modified version of ID's classic DOOM game
 
+LICENSE=	GPLv2
+
 LIB_DEPENDS=	libsmpeg.so:${PORTSDIR}/multimedia/smpeg
 
 USES=		gmake
 USE_SDL=	mixer net sdl
 
 GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--disable-i386-asm
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
 OPTIONS_DEFINE=	OPENGL
 OPTIONS_DEFAULT=	OPENGL
 
-DATADIR=	${DMDIR}
+DATADIR=	${LOCALBASE}/share/doom
 PLIST_SUB=	PORTVERSION=${PORTVERSION}
 
 OPENGL_CONFIGURE_ENABLE=	gl
 OPENGL_USE=	GL=yes
 
-.include "${.CURDIR}/../doom-data/Makefile.include"
-
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"